Create Deployment
curl --request POST \
--url https://api.example.com/agents/{agent_id}/deployments \
--header 'Content-Type: application/json' \
--data '
{
"docker_image": "<string>",
"registration_metadata": {},
"sgp_deploy_id": "<string>",
"helm_release_name": "<string>"
}
'import requests
url = "https://api.example.com/agents/{agent_id}/deployments"
payload = {
"docker_image": "<string>",
"registration_metadata": {},
"sgp_deploy_id": "<string>",
"helm_release_name": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
docker_image: '<string>',
registration_metadata: {},
sgp_deploy_id: '<string>',
helm_release_name: '<string>'
})
};
fetch('https://api.example.com/agents/{agent_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent_id": "<string>",
"docker_image": "<string>",
"status": "Pending",
"is_production": true,
"registration_metadata": {},
"acp_url": "<string>",
"sgp_deploy_id": "<string>",
"helm_release_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"promoted_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deployments
Create Deployment
Create a new deployment record in PENDING status.
POST
/
agents
/
{agent_id}
/
deployments
Create Deployment
Path Parameters
Body
application/json
Response
Successful Response
The unique identifier of the deployment.
The agent this deployment belongs to.
Full Docker image URI.
Current deployment status.
Available options:
Pending, Ready, Failed Whether this is the production deployment.
Git/build metadata from the agent pod.
ACP URL set when agent registers.
Correlates to SGP's agentex_deploys.id.
Helm release name for cleanup.
When the deployment was created.
When promoted to production.
When marked for cleanup.

